# Asterisk Project : Asterisk 12 Application_ExecIfTime

Added by wikibot , edited by wikibot on Aug 29, 2013

# ExecIfTime()

### Synopsis

Conditional application execution based on the current time.

### Description

This application will execute the specified dialplan application, with optional arguments, if the current time matches the given time specification.

### Syntax

    ExecIfTime(timesweekdaysmdaysmonths[timezone]appargs)

##### Arguments

- `day_condition`
  - `times`
  - `weekdays`
  - `mdays`
  - `months`
  - `timezone`
- `appname`
  - `appargs`

### See Also

- Asterisk 12 Application_Exec
- Asterisk 12 Application_ExecIf
- Asterisk 12 Application_TryExec
- Asterisk 12 Application_GotoIfTime

### Import Version

This documentation was imported from Asterisk Version Unknown